mixin highlights(spec)
	- spec = spec || {}
	- spec.__class = spec.__class || ''

	//- .hight.
	//- 	<script src="https://static01.nyt.com/newsgraphics/2019/02/26/hudson-yards/0fb3e9748c6d09257fb578c6e068e86ec8e8b86d/video-scroll-labels.js"></script>
	.highlights.fullscreen-carousel.carousel(class=spec.__class)&attributes(attributes)
		.highlights__carousel(data-carousel)
			each item in spec.items
				.highlights__item(data-title=item.title data-body=item.body data-url=item.url)
					.highlights__image
						img(src= item.img)
		.container
			.highlights__content
				h2 The Experience
				p Inspire yourself as you experience the Singapore Pavilion which sets the benchmark for a sustainable, enjoyable future - a testament to Singapore’s spirit of human ingenuity and creativity.
				.highlights__content--cta
					a.btn.btn-primary.btn--white(href="#")
							span Find out more
							span.icon.icon-rightward

					//-Carousel text
					//- .container
					//- 	.highlights__content
					//- 		h2= item.title
					//- 		p= item.desc
					//- 		.highlights__content--cta
					//- 		a.btn.btn-primary.btn--white(href= item.url)
					//- 				span= item.btn
					//- 				span.icon.icon-rightward
